### Входные признаки

#### Идентификаторы и порядковые номера

| Поле | Описание |
| - | - |
| id | Идентификатор заявки. Больший номер соответствует более поздней дате заявки. |
| rn | Порядковый номер кредитного продукта в кредитной истории. Больший номер соответствует продукту с более поздней датой открытия. |

#### Хронологические данные (бинаризовано*)

| Поле | Описание |
| - | - |
| pre_since_opened | Дней с даты открытия кредита до даты сбора данных |
| pre_since_confirmed | Дней с даты подтверждения информации по кредиту до даты сбора данных |
| pre_pterm | Плановое количество дней с даты открытия кредита до даты закрытия |
| pre_fterm | Фактическое количество дней с даты открытия кредита до даты закрытия |
| pre_till_pclose | Плановое количество дней с даты сбора данных до даты закрытия кредита |
| pre_till_fclose | Фактическое количество дней с даты сбора данных до даты закрытия кредита |

#### Данные о кредите (бинаризовано*)

| Поле | Описание |
| - | - |
| pre_loans_credit_limit | Кредитный лимит |
| pre_loans_next_pay_summ | Сумма следующего платежа по кредиту |
| pre_loans_outstanding | Оставшаяся невыплаченная сумма кредита |
| pre_loans_total_overdue | Текущая просроченная задолженность |
| pre_loans_max_overdue_sum | Максимальная просроченная задолженность |
| pre_loans_credit_cost_rate | Полная стоимость кредита |

#### Данные о просрочке (бинаризовано*)

| Поле | Описание |
| - | - |
| pre_loans5 | Число просрочек до 5 дней |
| pre_loans530 | Число просрочек от 5 до 30 дней |
| pre_loans3060 | Число просрочек от 30 до 60 дней |
| pre_loans6090 | Число просрочек от 60 до 90 дней |
| pre_loans90 | Число просрочек более, чем на 90 дней |

#### Флаги отсутствия просрочек

| Поле | Описание |
| - | - |
| is_zero_loans_5 | Нет просрочек до 5 дней |
| is_zero_loans_530 | Нет просрочек от 5 до 30 дней |
| is_zero_loans_3060 | Нет просрочек от 30 до 60 дней |
| is_zero_loans_6090 | Нет просрочек от 60 до 90 дней |
| is_zero_loans90 | Нет просрочек более, чем на 90 дней |

#### Отношения и флаги (бинаризовано*)

| Поле | Описание |
| - | - |
| pre_util | Отношение оставшейся невыплаченной суммы кредита к кредитному лимиту |
| pre_over2limit | Отношение текущей просроченной задолженности к кредитному лимиту |
| pre_maxover2limit | Отношение максимальной просроченной задолженности к кредитному лимиту |
| is_zero_util | Отношение оставшейся невыплаченной суммы кредита к кредитному лимиту равняется 0 |
| is_zero_over2limit | Отношение текущей просроченной задолженности к кредитному лимиту равняется 0 |
| is_zero_maxover2limit | Отношение максимальной просроченной задолженности к кредитному лимиту равняется 0 |

#### Кодированные поля

| Поле | Описание |
| - | - |
| enc_paym_{0..N} | Статусы ежемесячных платежей за последние N месяцев |
| enc_loans_account_holder_type | Тип отношения к кредиту |
| enc_loans_credit_status | Статус кредита |
| enc_loans_account_cur | Валюта кредита |
| enc_loans_credit_type | Тип кредита |

#### Флаги неопределённости даты закрытия

| Поле | Описание |
| - | - |
| pclose_flag | Плановое количество дней с даты открытия кредита до даты закрытия не определено |
| fclose_flag | Фактическое количество дней с даты открытия кредита до даты закрытия не определено |

### Цель

| Имя признака | Описание |
|--------------|----------|
| `id`         | Идентификатор заявки. Заявки пронумерованы так, что более поздним заявкам соответствует более поздняя дата. |
| `flag`       | Целевая переменная, `1` – факт ухода в дефолт. Доступна участникам в обучающей выборке. |


### Примечания
* *Бинаризовано*: Область значений поля разбивается на N непересекающихся промежутков, каждому промежутку случайным образом ставится в соответствие уникальный номер от 0 до N-1, значение поля заменяется номером промежутка, которому оно принадлежит.
* Закодировано: Каждому уникальному значению поля случайным образом ставится в соответствие уникальный номер от 0 до K, значение поля заменяется номером этого значения.



